
CONNECT TO <database> USER <user> USING <password>;

ALTER TABLE RQDISCUSSIONGROUPS
       ADD CONSTRAINT RQDISGRP_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONGROUPS
       ADD CONSTRAINT RQDISGRP_GRPID_FK FOREIGN KEY (GROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONREQUIREMENTS
       ADD CONSTRAINT RQDISREQ_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONREQUIREMENTS
       ADD CONSTRAINT RQDISREQ_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONSREAD
       ADD CONSTRAINT RQDISRD_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONSREAD
       ADD CONSTRAINT RQDISRD_USERID_FK FOREIGN KEY (USERID)
	REFERENCES RQUSERS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONUSERS
       ADD CONSTRAINT RQDISUSR_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE;

ALTER TABLE RQDISCUSSIONUSERS
       ADD CONSTRAINT RQDISUSR_USERID_FK FOREIGN KEY (USERID)
	REFERENCES RQUSERS ON DELETE CASCADE;

ALTER TABLE RQDOCUMENTHISTORY
       ADD CONSTRAINT RQDOCHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE;

ALTER TABLE RQDOCUMENTS
       ADD CONSTRAINT RQDOCS_DOCTYPID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD CONSTRAINT RQDTYPU_USRGRID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD CONSTRAINT RQDTYPU_DTYPID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD CONSTRAINT RQDTYPU_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQOVERFLOWTEXT
       ADD CONSTRAINT RQOFLWTEXT_ID_FK FOREIGN KEY (OVERFLOWID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQOVERFLOWVALUES
       ADD CONSTRAINT RQOFLWVAL_ID_FK FOREIGN KEY (OVERFLOWREQUIREMENTID, OVERFLOWFIELDID)
	REFERENCES RQUSERDEFINEDFIELDVALUES ON DELETE CASCADE;

ALTER TABLE RQOVERFLOWVALUES
       ADD CONSTRAINT RQOFLWVAL_FLDID_FK FOREIGN KEY (OVERFLOWFIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQPACKAGEELEMENTS
       ADD CONSTRAINT RQPKEL_PID_FK FOREIGN KEY (PACKAGEID)
	REFERENCES RQPACKAGES ON DELETE CASCADE;

ALTER TABLE RQPACKAGEELEMENTS
       ADD CONSTRAINT RQPKEL_RID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQPACKAGEELEMENTS
       ADD CONSTRAINT RQPKEL_DID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE;

ALTER TABLE RQPACKAGEELEMENTS
       ADD CONSTRAINT RQPKEL_VID_FK FOREIGN KEY (VIEWID)
	REFERENCES RQVIEWS ON DELETE CASCADE;

ALTER TABLE RQPACKAGES
       ADD CONSTRAINT RQPK_PID_FK FOREIGN KEY (PARENTID)
	REFERENCES RQPACKAGES;

ALTER TABLE RQPROJECTDISCUSSIONS
       ADD CONSTRAINT RQPRDISC_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTDISCUSSIONS
       ADD CONSTRAINT RQPRDISC_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE;

ALTER TABLE RQPROJECTDOCUMENTS
       ADD CONSTRAINT RQPRDOC_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTDOCUMENTS
       ADD CONSTRAINT RQPRDOC_DOCID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTDOCUMENTTYPES
       ADD CONSTRAINT RQPRDOCT_DTYPID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQPROJECTDOCUMENTTYPES
       ADD CONSTRAINT RQPRDOCT_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTEXTERNALPROJECTS
       ADD CONSTRAINT RQPRXPR_XPID_FK FOREIGN KEY (EXTERNALPROJECTID)
	REFERENCES RQEXTERNALPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTEXTERNALPROJECTS
       ADD CONSTRAINT RQPRXPR_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTHISTORY
       ADD CONSTRAINT RQPROJHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTREQUIREMENTS
       ADD CONSTRAINT RQPRREQ_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTREQUIREMENTS
       ADD CONSTRAINT RQPRREQ_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTREQUIREMENTTYPES
       ADD CONSTRAINT RQPRRQTYP_RTID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQPROJECTREQUIREMENTTYPES
       ADD CONSTRAINT RQPRRQTYP_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTUSERS
       ADD CONSTRAINT RQPRUSR_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQPROJECTUSERS
       ADD CONSTRAINT RQPRUSR_UGID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQQUERYDEFINITIONS
	ADD CONSTRAINT RQQDEF_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTHISTORY
       ADD CONSTRAINT RQREQHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTS
       ADD CONSTRAINT RQREQ_RTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES;

ALTER TABLE RQREQUIREMENTTYPEFIELDS
       ADD CONSTRAINT RQRTYPFLD_RTID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTTYPEFIELDS
       ADD CONSTRAINT RQRTYPFLD_UDFID_FK FOREIGN KEY (USERDEFINEDFIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTTYPESTYLES
       ADD CONSTRAINT RQRTYPSTY_RTID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD CONSTRAINT RQRTYPUSR_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD CONSTRAINT RQRTYPUSR_RTID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD CONSTRAINT RQRTYPUSR_UGID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDDOCRELVALUES
       ADD CONSTRAINT RQUDFDRELV_DID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE;
				 
ALTER TABLE RQUSERDEFINEDDOCRELVALUES
       ADD CONSTRAINT RQUDFDRELV_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD CONSTRAINT RQUDFDUSR_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD CONSTRAINT RQUDFDUSR_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD CONSTRAINT RQUDFDUSR_UGID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDFIELDVALUES
       ADD CONSTRAINT RQUDFDVAL_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDFIELDVALUES
       ADD CONSTRAINT RQUDFDVAL_RID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTITEMS
       ADD CONSTRAINT RQUDLSTITM_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD CONSTRAINT RQUDLITMU_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD CONSTRAINT RQUDLITMU_UGID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD CONSTRAINT RQUDLITMU_LIID_FK FOREIGN KEY (LISTITEMID)
	REFERENCES RQUSERDEFINEDLISTITEMS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD CONSTRAINT RQUDLVAL_RID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD CONSTRAINT RQUDLVAL_LIID_FK FOREIGN KEY (LISTITEMID)
	REFERENCES RQUSERDEFINEDLISTITEMS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD CONSTRAINT RQUDLVAL_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;
				 
ALTER TABLE RQUSERDEFINEDRELVALUES
       ADD CONSTRAINT RQUDRVAL_RID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE;

ALTER TABLE RQUSERDEFINEDRELVALUES
       ADD CONSTRAINT RQUDRVAL_FID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE;

ALTER TABLE RQUSERS
       ADD CONSTRAINT RQUSERS_GID_FK FOREIGN KEY (GROUPID)
	REFERENCES RQUSERGROUPS;

ALTER TABLE RQVIEWS
       ADD CONSTRAINT RQVIEWS_PID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE;

ALTER TABLE RQVIEWS
       ADD CONSTRAINT RQVIEWS_QID_FK FOREIGN KEY (QUERYID)
	REFERENCES RQQUERYDEFINITIONS ON DELETE CASCADE;

CONNECT RESET;
